"use strict";
var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var React = require('react');
var BootstrapPagerFactory_1 = require('./BootstrapPagerFactory');
var Griddle = require('griddle-react');
var GriddleBootstrap = (function (_super) {
    __extends(GriddleBootstrap, _super);
    function GriddleBootstrap() {
        _super.apply(this, arguments);
    }
    GriddleBootstrap.prototype.render = function () {
        var tableClassName = 'table ' + this.props.tableClassName;
        if (this.props.bordered) {
            tableClassName += ' table-bordered';
        }
        if (this.props.condensed) {
            tableClassName += ' table-condensed';
        }
        if (this.props.hover) {
            tableClassName += ' table-hover';
        }
        if (this.props.striped) {
            tableClassName += ' table-striped';
        }
        return (React.createElement(Griddle, React.__spread({}, this.props, {ref: function (ref) {
            ref.props.customPagerComponent.bindGriddle(ref);
        }, tableClassName: tableClassName, useGriddleStyles: false, useCustomPagerComponent: true, customPagerComponent: BootstrapPagerFactory_1.createBootstrapPager()})));
    };
    GriddleBootstrap.defaultProps = {
        tableClassName: '',
        bordered: false,
        condensed: false,
        hover: false,
        striped: false,
    };
    return GriddleBootstrap;
}(React.Component));
exports.GriddleBootstrap = GriddleBootstrap;
//# sourceMappingURL=GriddleBootstrap.js.map